<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM* and/or HCL**
- UrbanCode Deploy
- (c) Copyright IBM Corporation 2016, 2017. All Rights Reserved.
- (c) Copyright HCL Technologies Ltd. 2018. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-
- * Trademark of International Business Machines
- ** Trademark of HCL Technologies Limited
-->

<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <migrate to-version="2">

  </migrate>
  <migrate to-version="3">

  </migrate>
  <migrate to-version="4">
    <migrate-command name="Deploy Rule Set">
      <migrate-properties>
        <migrate-property name="ruleAppName" default=""/>
        <migrate-property name="ruleAppVersion" default=""/>
        <migrate-property name="ruleSetName" default=""/>
        <migrate-property name="ruleSetVersion" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="5">
    <migrate-command name="Deploy Rule Archive" old="Deploy Rule Set">
      <migrate-properties>
        <migrate-property name="merging"/>
        <migrate-property name="version"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="6">
  </migrate>
  <migrate to-version="7">
  </migrate>
  <migrate to-version="8">
  </migrate>
  <migrate to-version="9">
  </migrate>
  <migrate to-version="10">
    <migrate-command name="Fetch XOM"/>
    <migrate-command name="Fetch Rule Archive" old="Fetch Resource"/>
  </migrate>
  <migrate to-version="11">
    <migrate-command name="Delete XOM"/>
    <migrate-command name="Delete Rule Archive"/>
  </migrate>
  <migrate to-version="12">
  </migrate>
  <migrate to-version="13">
    <migrate-command name="Run Test Suites"/>
  </migrate>
  <migrate to-version="14">
  </migrate>
</plugin-upgrade>
